diff --git a/usr.sbin/inetd/inetd.c b/usr.sbin/inetd/inetd.c
index 69f65d88a3..94de4d9365 100644
--- a/usr.sbin/inetd/inetd.c
+++ b/usr.sbin/inetd/inetd.c
@@ -89,13 +89,6 @@
  *	server program arguments	maximum of MAXARGS
  *
  * Comment lines are indicated by a `#' in column 1.
- *
- * #ifdef IPSEC
- * Comment lines that start with "#@" denote IPsec policy string, as described
- * in ipsec_set_policy(3).  This will affect all the following items in
- * inetd.conf(8).  To reset the policy, just use "#@" line.  By default,
- * there's no IPsec policy.
- * #endif
  */
 #include <sys/param.h>
 #include <sys/ioctl.h>
@@ -132,13 +125,6 @@
 #include "inetd.h"
 #include "pathnames.h"
 
-#ifdef IPSEC
-#include <netinet6/ipsec.h>
-#ifndef IPSEC_POLICY_IPSEC	/* no ipsec support on old ipsec */
-#undef IPSEC
-#endif
-#endif
-
 /* wrapper for KAME-special getnameinfo() */
 #ifndef NI_WITHSCOPEID
 #define NI_WITHSCOPEID	0
@@ -217,9 +203,6 @@ void		flag_retry(int);
 void		retry(void);
 int		setconfig(void);
 void		setup(struct servtab *);
-#ifdef IPSEC
-void		ipsecsetup(struct servtab *);
-#endif
 void		unregisterrpc(struct servtab *sep);
 static struct conninfo *search_conn(struct servtab *sep, int ctrl);
 static int	room_conn(struct servtab *sep, struct conninfo *conn);
@@ -1026,10 +1009,6 @@ config(void)
 			SWAP(sep->se_server_name, new->se_server_name);
 			for (i = 0; i < MAXARGV; i++)
 				SWAP(sep->se_argv[i], new->se_argv[i]);
-#ifdef IPSEC
-			SWAP(sep->se_policy, new->se_policy);
-			ipsecsetup(sep);
-#endif
 			sigsetmask(omask);
 			freeconfig(new);
 			if (debug)
@@ -1230,9 +1209,6 @@ setsockopt(fd, SOL_SOCKET, opt, (char *)&on, sizeof (on))
 		if (setsockopt(sep->se_fd, IPPROTO_TCP, TCP_NOPUSH,
 		    (char *)&on, sizeof (on)) < 0)
 			syslog(LOG_ERR, "setsockopt (TCP_NOPUSH): %m");
-#ifdef IPSEC
-	ipsecsetup(sep);
-#endif
 	if (sep->se_family == AF_UNIX) {
 		unlink(sep->se_ctrladdr_un.sun_path);
 		umask(0777); /* Make socket with conservative permissions */
@@ -1301,78 +1277,6 @@ setsockopt(fd, SOL_SOCKET, opt, (char *)&on, sizeof (on))
 	}
 }
 
-#ifdef IPSEC
-void
-ipsecsetup(struct servtab *sep)
-{
-	char *buf;
-	char *policy_in = NULL;
-	char *policy_out = NULL;
-	int level;
-	int opt;
-
-	switch (sep->se_family) {
-	case AF_INET:
-		level = IPPROTO_IP;
-		opt = IP_IPSEC_POLICY;
-		break;
-#ifdef INET6
-	case AF_INET6:
-		level = IPPROTO_IPV6;
-		opt = IPV6_IPSEC_POLICY;
-		break;
-#endif
-	default:
-		return;
-	}
-
-	if (!sep->se_policy || sep->se_policy[0] == '\0') {
-		static char def_in[] = "in entrust", def_out[] = "out entrust";
-		policy_in = def_in;
-		policy_out = def_out;
-	} else {
-		if (!strncmp("in", sep->se_policy, 2))
-			policy_in = sep->se_policy;
-		else if (!strncmp("out", sep->se_policy, 3))
-			policy_out = sep->se_policy;
-		else {
-			syslog(LOG_ERR, "invalid security policy \"%s\"",
-				sep->se_policy);
-			return;
-		}
-	}
-
-	if (policy_in != NULL) {
-		buf = ipsec_set_policy(policy_in, strlen(policy_in));
-		if (buf != NULL) {
-			if (setsockopt(sep->se_fd, level, opt,
-					buf, ipsec_get_policylen(buf)) < 0 &&
-			    debug != 0)
-				warnx("%s/%s: ipsec initialization failed; %s",
-				      sep->se_service, sep->se_proto,
-				      policy_in);
-			free(buf);
-		} else
-			syslog(LOG_ERR, "invalid security policy \"%s\"",
-				policy_in);
-	}
-	if (policy_out != NULL) {
-		buf = ipsec_set_policy(policy_out, strlen(policy_out));
-		if (buf != NULL) {
-			if (setsockopt(sep->se_fd, level, opt,
-					buf, ipsec_get_policylen(buf)) < 0 &&
-			    debug != 0)
-				warnx("%s/%s: ipsec initialization failed; %s",
-				      sep->se_service, sep->se_proto,
-				      policy_out);
-			free(buf);
-		} else
-			syslog(LOG_ERR, "invalid security policy \"%s\"",
-				policy_out);
-	}
-}
-#endif
-
 /*
  * Finish with a service and its socket.
  */
@@ -1529,9 +1433,6 @@ getconfigent(void)
 	char *versp;
 	static char TCPMUX_TOKEN[] = "tcpmux/";
 #define MUX_LEN		(sizeof(TCPMUX_TOKEN)-1)
-#ifdef IPSEC
-	char *policy = NULL;
-#endif
 	int v4bind = 0;
 #ifdef INET6
 	int v6bind = 0;
@@ -1540,28 +1441,6 @@ getconfigent(void)
 
 more:
 	while ((cp = nextline(fconfig)) != NULL) {
-#ifdef IPSEC
-		/* lines starting with #@ is not a comment, but the policy */
-		if (cp[0] == '#' && cp[1] == '@') {
-			char *p;
-			for (p = cp + 2; p && *p && isspace(*p); p++)
-				;
-			if (*p == '\0') {
-				if (policy)
-					free(policy);
-				policy = NULL;
-			} else if (ipsec_get_policylen(p) >= 0) {
-				if (policy)
-					free(policy);
-				policy = newstr(p);
-			} else {
-				syslog(LOG_ERR,
-					"%s: invalid ipsec policy \"%s\"",
-					CONFIG, p);
-				exit(EX_CONFIG);
-			}
-		}
-#endif
 		if (*cp == '#' || *cp == '\0')
 			continue;
 		break;
@@ -1883,9 +1762,6 @@ getconfigent(void)
 		sep->se_argv[argc++] = NULL;
 	for (i = 0; i < PERIPSIZE; ++i)
 		LIST_INIT(&sep->se_conn[i]);
-#ifdef IPSEC
-	sep->se_policy = policy ? newstr(policy) : NULL;
-#endif
 	return (sep);
 }
 
@@ -1914,10 +1790,6 @@ freeconfig(struct servtab *cp)
 		if (cp->se_argv[i])
 			free(cp->se_argv[i]);
 	free_connlist(cp);
-#ifdef IPSEC
-	if (cp->se_policy)
-		free(cp->se_policy);
-#endif
 }
 
 
@@ -2066,9 +1938,6 @@ print_service(const char *action, const struct servtab *sep)
 	    "class=%s"
 #endif
 	    " builtin=%p server=%s"
-#ifdef IPSEC
-	    " policy=\"%s\""
-#endif
 	    "\n",
 	    action, sep->se_service, sep->se_proto,
 	    sep->se_accept, sep->se_maxchild, sep->se_user, sep->se_group,
@@ -2076,9 +1945,6 @@ print_service(const char *action, const struct servtab *sep)
 	    sep->se_class,
 #endif
 	    (void *) sep->se_bi, sep->se_server
-#ifdef IPSEC
-	    , (sep->se_policy ? sep->se_policy : "")
-#endif
 	    );
 }
 
diff --git a/usr.sbin/inetd/inetd.h b/usr.sbin/inetd/inetd.h
index cb6138cae6..6f735b0956 100644
--- a/usr.sbin/inetd/inetd.h
+++ b/usr.sbin/inetd/inetd.h
@@ -84,9 +84,6 @@ struct	servtab {
 	char	*se_server_name;	/* server program without path */
 #define	MAXARGV 20
 	char	*se_argv[MAXARGV+1];	/* program arguments */
-#ifdef IPSEC
-	char	*se_policy;		/* IPsec policy string */
-#endif
 	int	se_fd;			/* open descriptor */
 	union {				/* bound address */
 		struct	sockaddr se_un_ctrladdr;
diff --git a/usr.sbin/rrenumd/Makefile b/usr.sbin/rrenumd/Makefile
index 1724e76a82..5521ce5ad9 100644
--- a/usr.sbin/rrenumd/Makefile
+++ b/usr.sbin/rrenumd/Makefile
@@ -18,8 +18,8 @@ SRCS=	rrenumd.c  parser.y lexer.l
 YFLAGS+=	-d
 WARNS?=	2
 
-CFLAGS+= -DINET6 -DIPSEC -I. -I${.CURDIR}
-LDADD=	-lipsec -ll
+CFLAGS+=-DINET6 -I. -I${.CURDIR}
+LDADD=	-ll
 DPADD=	${LIBIPSEC} ${LIBL}
 
 MAN=	rrenumd.conf.5 rrenumd.8
diff --git a/usr.sbin/rrenumd/rrenumd.c b/usr.sbin/rrenumd/rrenumd.c
index 2fa1563670..e2f0d52bc0 100644
--- a/usr.sbin/rrenumd/rrenumd.c
+++ b/usr.sbin/rrenumd/rrenumd.c
@@ -48,10 +48,6 @@
 
 #include <arpa/inet.h>
 
-#ifdef IPSEC
-#include <netinet6/ipsec.h>
-#endif
-
 #include <stdio.h>
 #include <err.h>
 #include <errno.h>
@@ -75,14 +71,6 @@
 struct flags {
 	u_long debug : 1;
 	u_long fg : 1;
-#ifdef IPSEC
-#ifdef IPSEC_POLICY_IPSEC
-	u_long policy : 1;
-#else /* IPSEC_POLICY_IPSEC */
-	u_long auth : 1;
-	u_long encrypt : 1;
-#endif /* IPSEC_POLICY_IPSEC */
-#endif /*IPSEC*/
 };
 
 struct msghdr sndmhdr;
@@ -104,13 +92,8 @@ static void join_multi(const char *);
 #endif
 static void init_globals(void);
 static void config(FILE **);
-#ifdef IPSEC_POLICY_IPSEC
-static void sock6_open(struct flags *, char *);
-static void sock4_open(struct flags *, char *);
-#else
 static void sock6_open(struct flags *);
 static void sock4_open(struct flags *);
-#endif
 static void rrenum_output(struct payload_list *, struct dst_list *);
 static void rrenum_snd_eachdst(struct payload_list *);
 #if 0
@@ -123,15 +106,7 @@ static void rrenum_input(int);
 static void
 show_usage(void)
 {
-	fprintf(stderr, "usage: rrenumd [-c conf_file|-s] [-df"
-#ifdef IPSEC
-#ifdef IPSEC_POLICY_IPSEC
-		"] [-P policy"
-#else /* IPSEC_POLICY_IPSEC */
-		"AE"
-#endif /* IPSEC_POLICY_IPSEC */
-#endif /* IPSEC */
-		"]\n");
+	fprintf(stderr, "usage: rrenumd [-c conf_file|-s] [-df]\n");
 	exit(1);
 }
 
@@ -261,19 +236,10 @@ config(FILE **fpp)
 }
 
 static void
-sock6_open(struct flags *flags
-#ifdef IPSEC_POLICY_IPSEC
-	   , char *policy
-#endif /* IPSEC_POLICY_IPSEC */
-	   )
+sock6_open(struct flags *flags)
 {
 	struct icmp6_filter filt;
 	int on;
-#ifdef IPSEC
-#ifndef IPSEC_POLICY_IPSEC
-	int optval;
-#endif
-#endif
 
 	if (with_v6dest == 0)
 		return;
@@ -311,57 +277,12 @@ sock6_open(struct flags *flags
 		exit(1);
 	}
 
-#ifdef IPSEC
-#ifdef IPSEC_POLICY_IPSEC
-	if (flags->policy) {
-		char *buf;
-		buf = ipsec_set_policy(policy, strlen(policy));
-		if (buf == NULL)
-			errx(1, "%s", ipsec_strerror());
-		/* XXX should handle in/out bound policy. */
-		if (setsockopt(s6, IPPROTO_IPV6, IPV6_IPSEC_POLICY,
-				buf, ipsec_get_policylen(buf)) < 0)
-			err(1, "setsockopt(IPV6_IPSEC_POLICY)");
-		free(buf);
-	}
-#else /* IPSEC_POLICY_IPSEC */
-	if (flags->auth) {
-		optval = IPSEC_LEVEL_REQUIRE;
-		if (setsockopt(s6, IPPROTO_IPV6, IPV6_AUTH_TRANS_LEVEL,
-			       &optval, sizeof(optval)) == -1) {
-			syslog(LOG_ERR, "<%s> IPV6_AUTH_TRANS_LEVEL: %s",
-			       __func__, strerror(errno));
-			exit(1);
-		}
-	}
-	if (flags->encrypt) {
-		optval = IPSEC_LEVEL_REQUIRE;
-		if (setsockopt(s6, IPPROTO_IPV6, IPV6_ESP_TRANS_LEVEL,
-				&optval, sizeof(optval)) == -1) {
-			syslog(LOG_ERR, "<%s> IPV6_ESP_TRANS_LEVEL: %s",
-			       __func__, strerror(errno));
-			exit(1);
-		}
-	}
-#endif /* IPSEC_POLICY_IPSEC */
-#endif /* IPSEC */
-
 	return;
 }
 
 static void
-sock4_open(struct flags *flags
-#ifdef IPSEC_POLICY_IPSEC
-	   , char *policy
-#endif /* IPSEC_POLICY_IPSEC */
-	   )
+sock4_open(struct flags *flags)
 {
-#ifdef IPSEC
-#ifndef IPSEC_POLICY_IPSEC
-	int optval;
-#endif
-#endif
-
 	if (with_v4dest == 0)
 		return;
 	if ((s4 = socket(AF_INET, SOCK_RAW, IPPROTO_ICMPV6)) < 0) {
@@ -377,41 +298,6 @@ sock4_open(struct flags *flags
 	some_join_function();
 #endif
 
-#ifdef IPSEC
-#ifdef IPSEC_POLICY_IPSEC
-	if (flags->policy) {
-		char *buf;
-		buf = ipsec_set_policy(policy, strlen(policy));
-		if (buf == NULL)
-			errx(1, "%s", ipsec_strerror());
-		/* XXX should handle in/out bound policy. */
-		if (setsockopt(s4, IPPROTO_IP, IP_IPSEC_POLICY,
-				buf, ipsec_get_policylen(buf)) < 0)
-			err(1, "setsockopt(IP_IPSEC_POLICY)");
-		free(buf);
-	}
-#else /* IPSEC_POLICY_IPSEC */
-	if (flags->auth) {
-		optval = IPSEC_LEVEL_REQUIRE;
-		if (setsockopt(s4, IPPROTO_IP, IP_AUTH_TRANS_LEVEL,
-			       &optval, sizeof(optval)) == -1) {
-			syslog(LOG_ERR, "<%s> IP_AUTH_TRANS_LEVEL: %s",
-			       __func__, strerror(errno));
-			exit(1);
-		}
-	}
-	if (flags->encrypt) {
-		optval = IPSEC_LEVEL_REQUIRE;
-		if (setsockopt(s4, IPPROTO_IP, IP_ESP_TRANS_LEVEL,
-				&optval, sizeof(optval)) == -1) {
-			syslog(LOG_ERR, "<%s> IP_ESP_TRANS_LEVEL: %s",
-			       __func__, strerror(errno));
-			exit(1);
-		}
-	}
-#endif /* IPSEC_POLICY_IPSEC */
-#endif /* IPSEC */
-
 	return;
 }
 
@@ -533,23 +419,12 @@ main(int argc, char *argv[])
 	int ch, i, maxfd = 0, send_counter = 0;
 	struct flags flags;
 	struct payload_list *pl;
-#ifdef IPSEC_POLICY_IPSEC
-	char *policy = NULL;
-#endif
 
 	memset(&flags, 0, sizeof(flags));
 	openlog("rrenumd", LOG_PID, LOG_DAEMON);
 
 	/* get options */
-	while ((ch = getopt(argc, argv, "c:sdf"
-#ifdef IPSEC
-#ifdef IPSEC_POLICY_IPSEC
-			    "P:"
-#else /* IPSEC_POLICY_IPSEC */
-			    "AE"
-#endif /* IPSEC_POLICY_IPSEC */
-#endif /* IPSEC */
-			    )) != -1){
+	while ((ch = getopt(argc, argv, "c:sdf")) != -1) {
 		switch (ch) {
 		case 'c':
 			if((fp = fopen(optarg, "r")) == NULL) {
@@ -568,21 +443,6 @@ main(int argc, char *argv[])
 		case 'f':
 			flags.fg = 1;
 			break;
-#ifdef IPSEC
-#ifdef IPSEC_POLICY_IPSEC
-		case 'P':
-			flags.policy = 1;
-			policy = strdup(optarg);
-			break;
-#else /* IPSEC_POLICY_IPSEC */
-		case 'A':
-			flags.auth = 1;
-			break;
-		case 'E':
-			flags.encrypt = 1;
-			break;
-#endif /* IPSEC_POLICY_IPSEC */
-#endif /*IPSEC*/
 		default:
 			show_usage();
 		}
@@ -601,16 +461,8 @@ main(int argc, char *argv[])
 
 	config(&fp);
 
-	sock6_open(&flags
-#ifdef IPSEC_POLICY_IPSEC
-		   , policy
-#endif /* IPSEC_POLICY_IPSEC */
-		   );
-	sock4_open(&flags
-#ifdef IPSEC_POLICY_IPSEC
-		   , policy
-#endif /* IPSEC_POLICY_IPSEC */
-		   );
+	sock6_open(&flags);
+	sock4_open(&flags);
 
 	if (!flags.fg)
 		daemon(0, 0);
diff --git a/usr.sbin/traceroute6/Makefile b/usr.sbin/traceroute6/Makefile
index 0dda497ace..107ddc2da6 100644
--- a/usr.sbin/traceroute6/Makefile
+++ b/usr.sbin/traceroute6/Makefile
@@ -12,7 +12,6 @@
 # LIMITATION, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR
 # A PARTICULAR PURPOSE.
 # $FreeBSD: src/usr.sbin/traceroute6/Makefile,v 1.2.2.3 2002/07/23 07:48:27 ru Exp $
-# $DragonFly: src/usr.sbin/traceroute6/Makefile,v 1.3 2008/09/04 09:08:22 hasso Exp $
 
 PROG=	traceroute6
 MAN=	traceroute6.8
@@ -20,9 +19,6 @@ BINOWN=	root
 BINMODE=4555
 WARNS?=	2
 
-CFLAGS+=-DINET6 -DIPSEC -DHAVE_POLL -DUSE_RFC3542
-
-DPADD=	${LIBIPSEC}
-LDADD=	-lipsec
+CFLAGS+=-DINET6 -DHAVE_POLL -DUSE_RFC3542
 
 .include <bsd.prog.mk>
diff --git a/usr.sbin/traceroute6/traceroute6.c b/usr.sbin/traceroute6/traceroute6.c
index 18788ccec4..d42a7ec46a 100644
--- a/usr.sbin/traceroute6/traceroute6.c
+++ b/usr.sbin/traceroute6/traceroute6.c
@@ -264,11 +264,6 @@
 #include <netinet/icmp6.h>
 #include <netinet/udp.h>
 
-#ifdef IPSEC
-#include <net/route.h>
-#include <netinet6/ipsec.h>
-#endif
-
 #define DUMMY_PORT 10010
 
 #define	MAXPACKET	65535	/* max ip packet size */
@@ -297,11 +292,6 @@ static u_char	packet[512];		/* last inbound (icmp) packet */
 static struct opacket	*outpacket;	/* last output (udp) packet */
 
 static int	wait_for_reply(int, struct msghdr *);
-#ifdef IPSEC
-#ifdef IPSEC_POLICY_IPSEC
-static int	setpolicy(int so, char *policy);
-#endif
-#endif
 static void	send_probe(int, u_long);
 static void	*get_uphdr(struct ip6_hdr *, u_char *);
 static double	deltaT(struct timeval *, struct timeval *);
@@ -642,39 +632,6 @@ main(int argc, char **argv)
 	if (options & SO_DONTROUTE)
 		(void) setsockopt(rcvsock, SOL_SOCKET, SO_DONTROUTE,
 		    (char *)&on, sizeof(on));
-#ifdef IPSEC
-#ifdef IPSEC_POLICY_IPSEC
-	/*
-	 * do not raise error even if setsockopt fails, kernel may have ipsec
-	 * turned off.
-	 */
-	if (setpolicy(rcvsock, "in bypass") < 0)
-		errx(1, "%s", ipsec_strerror());
-	if (setpolicy(rcvsock, "out bypass") < 0)
-		errx(1, "%s", ipsec_strerror());
-#else
-    {
-	int level = IPSEC_LEVEL_NONE;
-
-	(void)setsockopt(rcvsock, IPPROTO_IPV6, IPV6_ESP_TRANS_LEVEL, &level,
-	    sizeof(level));
-	(void)setsockopt(rcvsock, IPPROTO_IPV6, IPV6_ESP_NETWORK_LEVEL, &level,
-	    sizeof(level));
-#ifdef IP_AUTH_TRANS_LEVEL
-	(void)setsockopt(rcvsock, IPPROTO_IPV6, IPV6_AUTH_TRANS_LEVEL, &level,
-	    sizeof(level));
-#else
-	(void)setsockopt(rcvsock, IPPROTO_IPV6, IPV6_AUTH_LEVEL, &level,
-	    sizeof(level));
-#endif
-#ifdef IP_AUTH_NETWORK_LEVEL
-	(void)setsockopt(rcvsock, IPPROTO_IPV6, IPV6_AUTH_NETWORK_LEVEL, &level,
-	    sizeof(level));
-#endif
-    }
-#endif /*IPSEC_POLICY_IPSEC*/
-#endif /*IPSEC*/
-
 #ifdef SO_SNDBUF
 	i = datalen;
 	if (setsockopt(sndsock, SOL_SOCKET, SO_SNDBUF, (char *)&i,
@@ -689,39 +646,6 @@ main(int argc, char **argv)
 	if (options & SO_DONTROUTE)
 		(void) setsockopt(sndsock, SOL_SOCKET, SO_DONTROUTE,
 		    (char *)&on, sizeof(on));
-#ifdef IPSEC
-#ifdef IPSEC_POLICY_IPSEC
-	/*
-	 * do not raise error even if setsockopt fails, kernel may have ipsec
-	 * turned off.
-	 */
-	if (setpolicy(sndsock, "in bypass") < 0)
-		errx(1, "%s", ipsec_strerror());
-	if (setpolicy(sndsock, "out bypass") < 0)
-		errx(1, "%s", ipsec_strerror());
-#else
-    {
-	int level = IPSEC_LEVEL_BYPASS;
-
-	(void)setsockopt(sndsock, IPPROTO_IPV6, IPV6_ESP_TRANS_LEVEL, &level,
-	    sizeof(level));
-	(void)setsockopt(sndsock, IPPROTO_IPV6, IPV6_ESP_NETWORK_LEVEL, &level,
-	    sizeof(level));
-#ifdef IP_AUTH_TRANS_LEVEL
-	(void)setsockopt(sndsock, IPPROTO_IPV6, IPV6_AUTH_TRANS_LEVEL, &level,
-	    sizeof(level));
-#else
-	(void)setsockopt(sndsock, IPPROTO_IPV6, IPV6_AUTH_LEVEL, &level,
-	    sizeof(level));
-#endif
-#ifdef IP_AUTH_NETWORK_LEVEL
-	(void)setsockopt(sndsock, IPPROTO_IPV6, IPV6_AUTH_NETWORK_LEVEL, &level,
-	    sizeof(level));
-#endif
-    }
-#endif /*IPSEC_POLICY_IPSEC*/
-#endif /*IPSEC*/
-
 	/*
 	 * Source selection
 	 */
@@ -913,28 +837,6 @@ wait_for_reply(int sock, struct msghdr *mhdr)
 #endif
 }
 
-#ifdef IPSEC
-#ifdef IPSEC_POLICY_IPSEC
-static int
-setpolicy(int so, char *policy)
-{
-	char *buf;
-
-	buf = ipsec_set_policy(policy, strlen(policy));
-	if (buf == NULL) {
-		warnx("%s", ipsec_strerror());
-		return -1;
-	}
-	(void)setsockopt(so, IPPROTO_IPV6, IPV6_IPSEC_POLICY,
-	    buf, ipsec_get_policylen(buf));
-
-	free(buf);
-
-	return 0;
-}
-#endif
-#endif
-
 static void
 send_probe(int seq, u_long hops)
 {
-- 
2.17.0

